Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTableOfContentsConfig Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithTitle:bookmark_level_array:is_show_serial_number:include_toc_pages:
| Constructor, with parameter. More...
(void) | - set:bookmark_level_array:is_show_serial_number:include_toc_pages:
| Set value. More...

## Properties
FSInt32Array * | bookmark_level_array
| A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function FSPDFDoc::getBookmarkLevelDepth. If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".
BOOL | include_toc_pages
| YES means to include catalog page(s) in the calculation of pages number in the table of contents, while NO means to exclude catalog page(s) from the calculation of pages number in the table of contents.
BOOL | is_show_serial_number
| YES means to show the serial number in the table of contents, while NO means not to show the serial number.
NSString * | title
| Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

## Detailed Description

This class represents the table of contents configuration.

## Method Documentation

## ◆ initWithTitle:bookmark_level_array:is_show_serial_number:include_toc_pages:()

- (id) initWithTitle: |  | (NSString *) | title
bookmark_level_array: |  | (FSInt32Array*) | bookmark_level_array
is_show_serial_number: |  | (BOOL) | is_show_serial_number
include_toc_pages: |  | (BOOL) | include_toc_pages

Constructor, with parameter.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | YES means to show the serial number in the table of contents, while NO means not to show the serial number.
  [in] | include_toc_pages | YES means to include catalog page(s) in the calculation of pages number in the table of contents, while NO means to exclude catalog page(s) from the calculation of pages number in the table of contents.

## ◆ set:bookmark_level_array:is_show_serial_number:include_toc_pages:()

- (void) set: |  | (NSString *) | title
bookmark_level_array: |  | (FSInt32Array*) | bookmark_level_array
is_show_serial_number: |  | (BOOL) | is_show_serial_number
include_toc_pages: |  | (BOOL) | include_toc_pages

Set value.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | YES means to show the serial number in the table of contents, while NO means not to show the serial number.
  [in] | include_toc_pages | YES means to include catalog page(s) in the calculation of pages number in the table of contents, while NO means to exclude catalog page(s) from the calculation of pages number in the table of contents.

@ return None.